# Interface SimpleNode

All Known Subinterfaces:
  `Node`

All Known Implementing Classes:
  `Atom, SmilesAtom`

public interface SimpleNode
Just the bare minimum for CIP, and non-BioSMILES

## Method Summary

Modifier and Type
Method
Description
`String`
`getAtomName()`
`int`
`getBondCount()`
Get the total number of bonds, including hydrogen bonds.
`int`
`getCovalentBondCount()`
Get the total number of covalent bonds, thus not including hydrogen bonds.
`SimpleEdge[]`
`getEdges()`
Get the bond array, including hydrogen bonds.
`int`
`getElementNumber()`
`int`
`getFormalCharge()`
`int`
`getIndex()`
`int`
`getIsotopeNumber()`
`float`
`getMass()`
`int`
`getValence()`
`P3`
`getXYZ()`
`void`
`setCIPChirality(int rs)`

## Method Details

### setCIPChirality

void setCIPChirality(int rs)

### getIsotopeNumber

int getIsotopeNumber()

### getAtomName

String getAtomName()

### getBondCount

int getBondCount()
Get the total number of bonds, including hydrogen bonds.

Returns:
  number of bonds

### getCovalentBondCount

int getCovalentBondCount()
Get the total number of covalent bonds, thus not including hydrogen bonds.

Returns:
  number of bonds

### getEdges

SimpleEdge[] getEdges()
Get the bond array, including hydrogen bonds.

Returns:
  number of bonds

### getElementNumber

int getElementNumber()

Returns:
  the atomic number for this atom

### getFormalCharge

int getFormalCharge()

Returns:
  the formal charge for this atom

### getIndex

int getIndex()

Returns:
  the unique ID number associated with this atom (which in Jmol is its position in the atoms[] array

### getMass

float getMass()

Returns:
  the mass or, if specified, the mass number

### getValence

int getValence()

Returns:
  the sum of the bond orders for this atom

### getXYZ

P3 getXYZ()

Returns:
  the position of this atom